Bug 1088671 - Please move nm-vpnc-auth-dialog (which depends on gtk3) to a subpackage
Summary: Please move nm-vpnc-auth-dialog (which depends on gtk3) to a subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-vpnc
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2014-04-17 01:23 UTC by Kevin Kofler
Modified: 2016-09-24 15:15 UTC (History)
3 users (show)

Fixed In Version: NetworkManager-vpnc-1.2.4-0.1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-24 15:15:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Kofler 2014-04-17 01:23:30 UTC
Description of problem:
NetworkManager-vpnc depends on gtk3 for the nm-vpnc-auth-dialog. This drags in gtk3 as a dependency of kde-plasma-nm-vpnc. (There's also an explicit Requires: gtk3 that should be removed, that's what the soname autorequires are for.) kde-plasma-nm-vpnc has its own authentication dialog and does not need the GTK+ one.

Version-Release number of selected component (if applicable):
NetworkManager-vpnc-1:0.9.9.0-3.git20140131.fc21

How reproducible:
Always.

Steps to Reproduce:
1. Install kde-plasma-nm-vpnc on a system without gtk3.

Actual results:
gtk3 is required.

Expected results:
gtk3 is not required.

Additional info:
All the NetworkManager VPN plugins have this packaging issue, I am filing a separate bug for each.

Comment 1 Jaroslav Reznik 2015-03-03 15:42:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Admin XMLRPC Client 2015-10-14 14:48:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2016-07-19 20:28:47 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Rex Dieter 2016-07-20 11:19:21 UTC
rebasing to avoid autoclose

Comment 5 Fedora Update System 2016-09-12 13:03:04 UTC
NetworkManager-vpnc-1.2.4-0.1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b30c5553b5

Comment 6 Fedora Update System 2016-09-14 03:26:23 UTC
NetworkManager-vpnc-1.2.4-0.1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b30c5553b5

Comment 7 Fedora Update System 2016-09-24 15:15:06 UTC
NetworkManager-vpnc-1.2.4-0.1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.